Package uk.ac.starlink.registry

# Class RegistryRequestFactory

java.lang.Object
uk.ac.starlink.registry.RegistryRequestFactory

public class RegistryRequestFactory extends Object
Constructs SOAP requests for use with RI 1.0 registries.

Author:
  Mark Taylor
See Also:
  - IVOA Registry Interface

## Constructor Summary

Constructors
Constructor
Description
`RegistryRequestFactory()`

## Method Summary

Modifier and Type
Method
Description
`static SoapRequest`
`adqlsSearch(String adqls)`
Returns a SOAP request used for a registry Search query, given an ADQL/S string.
`static SoapRequest`
`illegalOperation()`
Returns syntactically correct, but unsupported, RI operation.
`static SoapRequest`
`keywordSearch(String[] keywords, boolean orValues)`
Returns a SOAP request used for a registry KeywordSearch query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryRequestFactory

public RegistryRequestFactory()

## Method Details

### adqlsSearch

public static SoapRequest adqlsSearch(String adqls) throws IOException
Returns a SOAP request used for a registry Search query, given an ADQL/S string. Ray Plante's library is used for the conversion to ADQL/X.

Parameters:
  `adqls` - WHERE clause (minus WHERE) in ADQL specifying search
Returns:
  SOAP request
Throws:
  `IOException`

### keywordSearch

public static SoapRequest keywordSearch(String[] keywords, boolean orValues) throws IOException
Returns a SOAP request used for a registry KeywordSearch query.

Parameters:
  `keywords` - space-separated list of keywords, as required by the KeywordSearch operation
Throws:
  `IOException`

### illegalOperation

public static SoapRequest illegalOperation()
Returns syntactically correct, but unsupported, RI operation. Useful for testing purposes only.

Returns:
  bad RI SOAP request